
SMALL = 0;
NORMAL = 1;
WARMACHINE = 2;

WALKER = 0;
TANK = 1;
LIGHTVEHICLE = 2;
FLYER = 3;
IMMOBILE = 4;

LUMBERING = 0;
AGILE = 5;
FAST = 2;
WALK = 6;

// Crew types
MARINE = 1;
CHAOS = 2;
DARKELDAR = 4;
ELDAR = 8;
ORK = 16;
ADEPTUS = 32;
HUMAN = 64;
NECRON = 128;
TAU = 256;
BS4ELDAR = 512;
BS4TAU = 1024;

// Weapon types
SMALLARMS = 1;
BARRAGE = 2;
FLAMER = 3;
OTHER = 0;

// Weapon upgrades
BLAST = 0;
COAX = 1;
GATLING = 2;
GUN_BATTERY = 3;
LONG_BARREL = 4;
MEGA = 5;
SHORT_BARREL = 6;
SLOWER_ROF = 7;
TITAN_KILLER = 8;
TWIN_LINKED = 9;



var myType = LIGHTVEHICLE;
var mySize = NORMAL;
var mySpeed = NORMAL;
var myMaxArmour = 44;
var myMaxAV = 12;
var myTotalArmour = 36;
var myPoints = 0;
var myCrew = HUMAN;




upgradesAllowed = new Array(
  new Array(true,true,true,false,true,true,true,true,true,true),
  new Array(false,true,false,false,false,false,false,false,false,true),
  new Array(true,true,false,true,true,true,true,false,true,false),
  new Array(false,true,false,false,false,true,false,false,false,false)
);

// weapons --> (name,type,shots,owner,points)

weapons = new Array(

new Array("Assault cannon",OTHER,3,MARINE+CHAOS+ADEPTUS,35),
new Array("Assault cannon",OTHER,3,HUMAN,25),
new Array("Autocannon",OTHER,2,MARINE+CHAOS+ADEPTUS,35),
new Array("Autocannon",OTHER,2,HUMAN,25),
new Array("Autogun",SMALLARMS,1,MARINE+CHAOS+ADEPTUS+HUMAN,3),
new Array("Battle cannon",OTHER,1,MARINE+CHAOS+ADEPTUS+HUMAN,50),
new Array("Boltgun",SMALLARMS,1,MARINE+CHAOS+ADEPTUS+HUMAN,4),
new Array("Demolisher",OTHER,1,MARINE+CHAOS+ADEPTUS+HUMAN,50),
new Array("Earthshaker",OTHER,1,MARINE+CHAOS+ADEPTUS+HUMAN,60),
new Array("Flamer",FLAMER,1,MARINE+CHAOS+ADEPTUS+HUMAN+ELDAR+BS4ELDAR,10),
new Array("Grenade launcher",SMALLARMS,1,MARINE+CHAOS+ADEPTUS,15),
new Array("Grenade launcher",SMALLARMS,1,HUMAN,10),
new Array("Griffon mortar",BARRAGE,1,MARINE+CHAOS+ADEPTUS+HUMAN,40),
new Array("Heavy bolter",OTHER,3,MARINE+CHAOS+ADEPTUS,20),
new Array("Heavy bolter",OTHER,3,HUMAN,15),
new Array("Heavy flamer",FLAMER,1,MARINE+CHAOS+ADEPTUS+HUMAN,15),
new Array("Inferno cannon",FLAMER,1,MARINE+CHAOS+ADEPTUS+HUMAN,30),
new Array("Lascannon",OTHER,1,MARINE+CHAOS+ADEPTUS,35),
new Array("Lascannon",OTHER,1,HUMAN,25),
new Array("Lasgun",SMALLARMS,1,MARINE+CHAOS+ADEPTUS+HUMAN,3),
new Array("Meltagun",SMALLARMS,1,MARINE+CHAOS+ADEPTUS,15),
new Array("Meltagun",SMALLARMS,1,HUMAN,10),
new Array("Missile launcher",OTHER,1,MARINE+CHAOS+ADEPTUS,25),
new Array("Missile launcher",OTHER,1,HUMAN,20),
new Array("Mortar",BARRAGE,1,MARINE+CHAOS+ADEPTUS+HUMAN,25),
new Array("Multilaser",OTHER,3,MARINE+CHAOS+ADEPTUS,35),
new Array("Multilaser",OTHER,3,HUMAN,25),
new Array("Multi-melta",OTHER,1,MARINE+CHAOS+ADEPTUS,40),
new Array("Multi-melta",OTHER,1,HUMAN,30),
new Array("Plasma cannon",OTHER,1,MARINE+CHAOS+ADEPTUS,40),
new Array("Plasma cannon",OTHER,1,HUMAN,30),
new Array("Plasma gun",SMALLARMS,1,MARINE+CHAOS+ADEPTUS,15),
new Array("Plasma gun",SMALLARMS,1,HUMAN,10),
new Array("Storm bolter",SMALLARMS,2,MARINE+CHAOS+ADEPTUS+HUMAN,5),
new Array("Vanquisher cannon",OTHER,1,MARINE+CHAOS+ADEPTUS,55),
new Array("Vanquisher cannon",OTHER,1,HUMAN,50),
new Array("Whirlwind",BARRAGE,1,MARINE+CHAOS+ADEPTUS+HUMAN,40),
new Array("Blaster",SMALLARMS,1,DARKELDAR,15),
new Array("Dark lance",OTHER,1,DARKELDAR,35),
new Array("Destructor",FLAMER,1,DARKELDAR,15),
new Array("Disintegrator",OTHER,1,DARKELDAR,45),
new Array("Shredder",SMALLARMS,1,DARKELDAR,15),
new Array("Splinter rifle",SMALLARMS,1,DARKELDAR,4),
new Array("Splinter cannon",OTHER,4,DARKELDAR,20),
new Array("Stinger",SMALLARMS,1,DARKELDAR,10),
new Array("Terrofex",SMALLARMS,1,DARKELDAR,15),
new Array("Bright lance",OTHER,1,BS4ELDAR,40),
new Array("Bright lance",OTHER,1,ELDAR,30),
new Array("Eldar missile launcher",OTHER,1,BS4ELDAR,35),
new Array("Eldar missile launcher",OTHER,1,ELDAR,25),
new Array("D-cannon",BARRAGE,1,ELDAR+BS4ELDAR,30),
new Array("Fusion gun",SMALLARMS,1,BS4ELDAR,12),
new Array("Fusion gun",SMALLARMS,1,ELDAR,8),
new Array("Lasblaster",SMALLARMS,1,ELDAR+BS4ELDAR,3),
new Array("Pulse laser",OTHER,1,BS4ELDAR,40),
new Array("Pulse laser",OTHER,1,ELDAR,30),
new Array("Shuriken catapult",SMALLARMS,1,ELDAR+BS4ELDAR,4),
new Array("Shuriken cannon",OTHER,3,BS4ELDAR,25),
new Array("Shuriken cannon",OTHER,3,ELDAR,20),
new Array("Starcannon",OTHER,3,BS4ELDAR,45),
new Array("Starcannon",OTHER,3,ELDAR,35),
new Array("Scatter laser",OTHER,1,BS4ELDAR,35),
new Array("Scatter laser",OTHER,1,ELDAR,25),
new Array("Reaper launcher",OTHER,2,BS4ELDAR,35),
new Array("Reaper launcher",OTHER,2,ELDAR,25),
new Array("Wraithcannon",OTHER,1,BS4ELDAR,30),
new Array("Death spinner",OTHER,1,BS4ELDAR,15),
new Array("Death spinner",OTHER,1,ELDAR,10),
new Array("Prism cannon",OTHER,1,BS4ELDAR,55),
new Array("Prism cannon",OTHER,1,ELDAR,45),
new Array("Shadow weaver",BARRAGE,1,ELDAR+BS4ELDAR,25),
new Array("Vibro cannon",OTHER,1,ELDAR+BS4ELDAR,40),
new Array("Bolter-flamer",SMALLARMS,1,CHAOS,10),
new Array("Bolter-meltagun",SMALLARMS,1,CHAOS,15),
new Array("Twin bolter",SMALLARMS,1,CHAOS,5),
new Array("Blastmaster",OTHER,1,CHAOS,30),
new Array("Doom siren",FLAMER,1,CHAOS,15),
new Array("Sonic blaster",SMALLARMS,2,CHAOS,15),
new Array("Big shoota",OTHER,3,ORK,15),
new Array("Shoota/rokkit launcher",SMALLARMS,1,ORK,10),
new Array("Shoota/skorcha",SMALLARMS,1,ORK,12),
new Array("Kustom mega-blaster",OTHER,1,ORK,20),
new Array("Rokkit launcher",OTHER,1,ORK,15),
new Array("Shoota",SMALLARMS,1,ORK,3),
new Array("Skorcha",FLAMER,1,ORK,15),
new Array("Lobba",BARRAGE,1,ORK,30),
new Array("Zzap gun",OTHER,1,ORK,30),
new Array("Kannon",OTHER,1,ORK,35),
new Array("Gauss flayer",SMALLARMS,1,NECRON,5),
new Array("Gauss blaster",SMALLARMS,2,NECRON,8),
new Array("Gauss cannon",OTHER,3,NECRON,40),
new Array("Heavy Gauss cannon",OTHER,1,NECRON,40),
new Array("Gauss Flux Arc projectors",OTHER,1,NECRON,50),
new Array("Particle projector",SMALLARMS,1,NECRON,20),
new Array("Star Pulse Generator",OTHER,1,NECRON,60),
new Array("Flamer",FLAMER,3,TAU+BS4TAU,10),
new Array("Burst Cannon",OTHER,3,TAU,5),
new Array("Burst Cannon",OTHER,3,BS4TAU,10),
new Array("Missile Pod",OTHER,2,TAU,30),
new Array("Missile Pod",OTHER,2,BS4TAU,35),
new Array("Plasma Rifle",OTHER,1,TAU,15),
new Array("Plasma Rifle",OTHER,1,BS4TAU,20),
new Array("Fusion Blaster",OTHER,1,TAU,10),
new Array("Fusion Blaster",OTHER,1,BS4TAU,15),
new Array("Railgun (with Submunitions)",OTHER,1,TAU,45),
new Array("Railgun (with Submunitions)",OTHER,1,BS4TAU,55),
new Array("Railgun (without Submunitions)",OTHER,1,TAU,35),
new Array("Railgun (without Submunitions)",OTHER,1,BS4TAU,45),
new Array("Smart Missiles",OTHER,4,TAU,20),
new Array("Smart Missiles",OTHER,4,BS4TAU,25),
new Array("Pulse Rifle",OTHER,1,TAU+BS4TAU,7),
new Array("Pulse Carbine",OTHER,1,TAU+BS4TAU,7),
new Array("Ion Cannon",OTHER,3,TAU,35),
new Array("Ion Cannon",OTHER,3,BS4TAU,40)
);

category = new Array(
  new Array("Elite","Fast Attack", "Fast Attack", "Fast Attack", "Heavy Support"),
  new Array("Heavy Support","Transport","Transport","Heavy Support","Heavy Support"),
  new Array("War machine","War machine","War machine","War machine","War machine")
);


maxArmour = new Array(
  new Array(44,46,40,40,46),
  new Array(47,56,44,44,56),
  new Array(54,56,44,44,56)
);

maxAV = new Array(
  new Array(12,12,10,10,12),
  new Array(13,14,12,12,14),
  new Array(14,14,12,12,14)
);

speedCost = new Array(
  new Array(5,5,10,40,0,10,5),
  new Array(10,10,20,40,0,15,10),
  new Array(20,20,40,40,0,30,20)
);

speeds = new Array(
  new Array(WALK,NORMAL,NORMAL,FLYER,IMMOBILE),
  new Array(WALK,NORMAL,NORMAL,FLYER,IMMOBILE),
  new Array(LUMBERING,LUMBERING,LUMBERING,FLYER,IMMOBILE)
);

speedText = new Array("Lumbering","Normal","Fast","Flyer","Immobile","Agile","Walker");

armourCost = new Array(
  new Array(0,0,5,10,20,30),
  new Array(0,10,15,20,30,40),
  new Array(5,10,20,30,40,50)
);


crewStats = new Array(
  new Array(4,4,5,4),
  new Array(4,4,5,4),
  new Array(4,4,4,5),
  new Array(3,3,4,4),
  new Array(4,2,5,2),
  new Array(4,4,5,3),
  new Array(3,3,4,3),
  new Array(4,4,5,2),
  new Array(2,3,3,2)
);

